Subject: Re: [PATCH] drivers:net:wireless: Add proper locking for the function, b43_op_beacon_set_tim in main.c

From: nick <[email-masked]>
Date: Mon, 05 Jan 2015 13:21:32 -0500

Larry,
Your right I build tested it. Unfortunately I don't have
the hardware.
Regards Nick
On 2015-01-05 12:46 PM, Larry Finger wrote:
> On 01/05/2015 11:16 AM, nick wrote:
>> Kalle,
>> That's fine. On the other hand I am interested in the
>> reasons why this patch was dropped so I can send in a
>> version 2 of this patch.
>> Regards Nick
> 
> Apparently you missed Michael Büsch's comment:
> 
> "Thanks for the patch.
> 
> However, this does not work. We are in atomic context here.
> Please see the b43-dev mailing list archives for a recent thread about that.
> I'm also pretty sure that this is safe without lock, due to the higher level locks in mac80211."
> 
> Did you actually test the patch? If Michael is right, and I trust him on this matter, your patch should lock the system.
> 
> Larry
>